Package opennlp.tools.util.featuregen

# Class CachedFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.CachedFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class CachedFeatureGenerator extends Object implements AdaptiveFeatureGenerator
Caches features of the aggregated `generators`.

See Also:
  - `Cache`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachedFeatureGenerator(AdaptiveFeatureGenerator generator)`
  `CachedFeatureGenerator(AdaptiveFeatureGenerator... generators)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAdaptiveData()`
  Informs a feature generator that the context of the adaptive data (typically a document) is no longer valid.
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
  `AdaptiveFeatureGenerator`
  `getCachedFeatureGenerator()`
  `long`
  `getNumberOfCacheHits()`
  `long`
  `getNumberOfCacheMisses()`
  `String`
  `toString()`
  `void`
  `updateAdaptiveData(String[] tokens, String[] outcomes)`
  Informs a feature generator that the specified tokens have been classified with the corresponding set of specified `outcomes`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CachedFeatureGenerator

    @Deprecated public CachedFeatureGenerator(AdaptiveFeatureGenerator... generators)
    Deprecated.

  - ### CachedFeatureGenerator

    public CachedFeatureGenerator(AdaptiveFeatureGenerator generator)

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `previousOutcomes` - The outcomes for the tokens prior to the specified index.

  - ### updateAdaptiveData

    public void updateAdaptiveData(String[] tokens, String[] outcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Informs a feature generator that the specified tokens have been classified with the corresponding set of specified `outcomes`.
    Specified by:
      `updateAdaptiveData` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `tokens` - The tokens of the sentence or other text unit which has been processed.
      `outcomes` - The outcomes associated with the specified tokens.

  - ### clearAdaptiveData

    public void clearAdaptiveData()
    Description copied from interface: `AdaptiveFeatureGenerator`
    Informs a feature generator that the context of the adaptive data (typically a document) is no longer valid.
    Specified by:
      `clearAdaptiveData` in interface `AdaptiveFeatureGenerator`

  - ### getNumberOfCacheHits

    public long getNumberOfCacheHits()
    Returns:
      Retrieves the number of times a cache hit occurred.

  - ### getNumberOfCacheMisses

    public long getNumberOfCacheMisses()
    Returns:
      Retrieves the number of times a cache miss occurred.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCachedFeatureGenerator

    public AdaptiveFeatureGenerator getCachedFeatureGenerator()